Bug 590781 - Bring in bug fixes from upstream for FCoE
Summary: Bring in bug fixes from upstream for FCoE
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel (Show other bugs)
(Show other bugs)
Version: 6.0
Hardware: All Linux
low
medium
Target Milestone: rc
: ---
Assignee: Mike Christie
QA Contact: Red Hat Kernel QE team
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-10 17:19 UTC by Yi Zou
Modified: 2010-11-15 14:27 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-15 14:27:10 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
fcoe upstream patches update from open-fcoe.org's fcoe-next/master (20.73 KB, text/plain)
2010-05-10 17:19 UTC, Yi Zou
no flags Details

Description Yi Zou 2010-05-10 17:19:14 UTC
Created attachment 412909 [details]
fcoe upstream patches update from open-fcoe.org's fcoe-next/master

Description of problem:

RHEL6 needs to get latest FCoE kernel patches from open-fcoe.org or linux-scsi from upstream. This bugzilla is a request to bring them in.

This is for the new patches on top of those that are already submitted to RHEL6 as described in bug 577049.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Yi Zou 2010-05-10 17:26:13 UTC
The attachment patch created in comment 1 includes the following:

80bffba... fcoe: fix fcoe module ref counting
5352a79... libfcoe: FIP Keep-Alive messages for VPorts are sent with incorrect
port_id and wwn
9897cd1... libfcoe: Fix incorrect MAC address clearing
ba36ea3... fcoe: fix a circular locking issue with rtnl and sysfs mutex
8e5d1c5... libfc: Move the port_id into lport
2f1b583... fcoe: move link speed checking into its own routine
d81e591... libfc: Remove extra pointer check
d9d4677... libfc: Remove unused fc_get_host_port_type
e4bd69d... fcoe: fixes wrong error exit in fcoe_create

They are being pushed to linux-scsi:
http://marc.info/?l=linux-scsi&m=127327069912153&w=2

Comment 3 RHEL Product and Program Management 2010-05-10 19:13:50 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.

Comment 5 Aristeu Rozanski 2010-05-18 15:04:14 UTC
Patch(es) available on kernel-2.6.32-26.el6

Comment 8 michal novacek 2010-09-16 13:34:13 UTC
Can this be tested by intel?

Comment 10 releng-rhel@redhat.com 2010-11-15 14:27:10 UTC
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.